<?php 
session_start();

class Category{

	private $con;

	function __construct()
	{
		include_once("Database.php");
		$db = new Database();
		$this->con = $db->connect();
	}

	public function getCategoryImages(){
		$q = $this->con->query("SELECT * FROM category ORDER BY category_name_e");
		
		$categoryimages = [];
		if ($q->num_rows > 0) {
			while($row = $q->fetch_assoc()){
				$categoryimages[] = $row;
			}
			//return ['status'=> 202, 'message'=> $ar];
			$_DATA['categoryimages'] = $categoryimages;
		}

		return ['status'=> 202, 'message'=> $_DATA];
	}

	public function addCategoryImage($name_s,$name_e,$name_t,$file1){

		
		if(!empty($file1['name'])){
			$uniqueImageName1 = time()."_".$file1['name'];
			$uniqueImageName11 = "img/category/$uniqueImageName1";

			$fileName1 = $file1['name'];
			$fileNameAr1= explode(".", $fileName1);
			$extension1 = end($fileNameAr1);
			$ext1 = strtolower($extension1);
		}else{
			$uniqueImageName11 = "";
			$ext1 ="";
		}

		// remove spaces from id & special characters
		$firstlettercapital=ucfirst($name_e);
		$restletterssimple = ucwords(strtolower($firstlettercapital));
		$withoutspecialcharacters=preg_replace('/[^A-Za-z0-9\-]/', '', $restletterssimple);
		$perfectid = preg_replace('/\s+/', '_', $withoutspecialcharacters);
		

		$q = $this->con->query("SELECT * FROM category WHERE category_name_e = '$name_s' OR category_name_e = '$name_e' OR category_name_e = '$name_t' LIMIT 1");
		if ($q->num_rows > 0) {
			return ['status'=> 303, 'message'=> 'Category already exists'];
		}else{

			if (!empty($file1['name'])) {
				
				if ($ext1 == "jpg" || $ext1 == "jpeg" || $ext1 == "png" || $ext1 == "") {


					if ($file1['size'] < (1024 * 1024)) {

							move_uploaded_file($file1['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/bcc/img/category/".$uniqueImageName1);

							$q = $this->con->query("INSERT INTO `category`(`category_id`, `category_name_s`, `category_name_e`, `category_name_t`,`category_image`) VALUES ('$perfectid','$name_s','$name_e','$name_t','$uniqueImageName11')");

							if ($q) {
								return ['status'=> 202, 'message'=> 'Category Added Successfully'];
							}else{
								return ['status'=> 303, 'message'=> 'Failed to Add Category'];
							}

					}else{
						return ['status'=> 303, 'message'=> 'Large Image [ Max Size allowed 1MB ]'];
					}

				}else{
					return ['status'=> 303, 'message'=> 'Invalid Image Format [ Valid Formats : jpg, jpeg, png ]'];
				}

			}else{

				$q = $this->con->query("INSERT INTO `category`(`category_id`, `category_name_s`, `category_name_e`, `category_name_t`) VALUES ('$perfectid','$name_s','$name_e','$name_t')");

							if ($q) {
								return ['status'=> 202, 'message'=> 'Category Added Successfully'];
							}else{
								return ['status'=> 303, 'message'=> 'Failed to Add Category'];
							}
			}
			
			

		}

		

	}


	public function editCategoryImageWithImage($pid,
										$id,
										$name_s,
										$name_e,
										$name_t,
										$image1,
										$file1){

		// check category name changed or get from DB category name
		if(empty($file1['name'])){
			$uniqueImageName11 = $image1;
		}else{
			$uniqueImageName1 = time()."_".$file1['name'];
			
			$uniqueImageName11 = "img/category/$uniqueImageName1";
		}

		// get files extension
		$fileName1 = $uniqueImageName11;
		$fileNameAr1= explode(".", $fileName1);
		$extension1 = end($fileNameAr1);
		$ext1 = strtolower($extension1);

		if ($uniqueImageName11=="img/product/clear.png") {
			$uniqueImageName11='';
		}

		if ($ext1 == "jpg" || $ext1 == "jpeg" || $ext1 == "png" || $ext1 == "") {
			

			if ($file1['size'] < (1024 * 1024)) {

					move_uploaded_file($file1['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/bcc/img/category/".$uniqueImageName1);
					
					$q = $this->con->query("UPDATE `category` SET 
										`category_id` = '$id',
										`category_name_s` = '$name_s',
										`category_name_e` = '$name_e',
										`category_name_t` = '$name_t',
										`category_image` = '$uniqueImageName11' WHERE id = '$pid'");

					if ($q) {
						return ['status'=> 202, 'message'=> 'Category Updated Successfully'];
					}else{
						return ['status'=> 303, 'message'=> 'Failed Update Category'];
					}

			}else{
				return ['status'=> 303, 'message'=> 'Large Image [ Max Size allowed 1MB ]'];
			}

		}else{
			return ['status'=> 303, 'message'=> 'Invalid Image Format [ Valid Formats : jpg, jpeg, png ]'];
		}

	}

	public function editCategoryImageWithoutImage($pid,
										$id,
										$name_s,
										$name_e,
										$name_t){

		if ($pid != null) {
			$q = $this->con->query("UPDATE `category` SET 
										`category_id` = '$id',
										`category_name_s` = '$name_s',
										`category_name_e` = '$name_e',
										`category_name_t` = '$name_t'
										WHERE id = '$pid'");

			if ($q) {
				return ['status'=> 202, 'message'=> 'Category updated Successfully'];
			}else{
				return ['status'=> 303, 'message'=> 'Failed to update Category'];
			}
			
		}else{
			return ['status'=> 303, 'message'=> 'Invalid category id'];
		}
		
	}

	public function deleteCategoryImage($pid = null){
		if ($pid != null) {
			$q = $this->con->query("DELETE FROM category WHERE id = '$pid'");
			if ($q) {
				return ['status'=> 202, 'message'=> 'Category Removed Successfully'];
			}else{
				return ['status'=> 202, 'message'=> 'Failed To Remove Category'];
			}
			
		}else{
			return ['status'=> 303, 'message'=>'Invalid Category id'];
		}

	}

}

if (isset($_POST['GET_CATEGORYIMAGE'])) {
	if (isset($_SESSION['admin_id'])) {
		$p = new Category();
		echo json_encode($p->getCategoryImages());
		exit();
	}
}


if (isset($_POST['add_categoryimage'])) {

	extract($_POST);
	// if (!empty($cate_id) && !empty($cat_title)) {
	if (!empty($cat_title_s) && !empty($cat_title_e) && !empty($cat_title_t)) {
		

		$p = new Category();
		$result = $p->addCategoryImage($cat_title_s,
								$cat_title_e,
								$cat_title_t,
								$_FILES['categoryimage_image']);
		
		echo json_encode($result);
		exit();


	}else{
		echo json_encode(['status'=> 303, 'message'=> 'Empty fields']);
		exit();
	}



	
}


if (isset($_POST['edit_categoryimage'])) {

	extract($_POST);
	if (!empty($pid)) {
		
		$p = new Category();

		if (isset($_FILES['e_categoryimage_image']['name']) && !empty($_FILES['e_categoryimage_image']['name'])) {
			$result = $p->editCategoryImageWithImage($pid,
								$e_category_id,
								$e_category_name_s,
								$e_category_name_e,
								$e_category_name_t,
								$e_image,
								$_FILES['e_categoryimage_image']);
		}else{
			$result = $p->editCategoryImageWithoutImage($pid,
								$e_category_id,
								$e_category_name_s,
								$e_category_name_e,
								$e_category_name_t);
		}

		echo json_encode($result);
		exit();


	}else{
		echo json_encode(['status'=> 303, 'message'=> 'Empty fields']);
		exit();
	}



	
}

if (isset($_POST['DELETE_CATEGORYIMAGE'])) {
	$p = new Category();
	if (isset($_SESSION['admin_id'])) {
		if(!empty($_POST['pid'])){
			$pid = $_POST['pid'];
			echo json_encode($p->deleteCategoryImage($pid));
			exit();
		}else{
			echo json_encode(['status'=> 303, 'message'=> 'Invalid category id']);
			exit();
		}
	}else{
		echo json_encode(['status'=> 303, 'message'=> 'Invalid Session']);
	}


}

?>