$(document).ready(function(){

	var productList;

	function getProducts(){
		$.ajax({
			url : '../administrator/classes/Products',
			method : 'POST',
			data : {GET_PRODUCT:1},
			success : function(response){
				//console.log(response);
				var resp = $.parseJSON(response);
				if (resp.status == 202) {

					var productHTML = '';

					productList = resp.message.products;

					if (productList) {
						$.each(resp.message.products, function(index, value){

							if(value.image_path=='' || value.image_path==null){
								value.image_path='img/clear.png';
							}

							if(value.image_path2=='' || value.image_path2==null){
								value.image_path2='img/clear.png';
							}

							if(value.image_path3=='' || value.image_path3==null){
								value.image_path3='img/clear.png';
							}

							if(value.image_path4=='' || value.image_path4==null){
								value.image_path4='img/clear.png';
							}

							if(value.image_path5=='' || value.image_path5==null){
								value.image_path5='img/clear.png';
							}

							if (value.display_position=='home') {

								productHTML += '<tr>'+
								              '<td>'+ '' +'</td>'+
								              '<td>'+ value.product_name_e +'</td>'+							              
								              '<td>'+ value.product_name_s +'</td>'+
								              '<td>'+ value.product_name_t +'</td>'+
								              '<td>'+ value.category_name_e +'</td>'+
								              '<td>Rs.'+ value.price +'</td>'+
								              '<td>'+ value.discount +'</td>'+
								              '<td><img width="60" height="60" class="rounded border" src="../'+value.image_path+'"></td>'+
								              '<td><a pid="'+value.id+'" iid="2" class="delete-image"><img class="rounded border" width="60" height="60" src="../'+value.image_path2+'"></a></td>'+
								              '<td><a pid="'+value.id+'" iid="3" class="delete-image"><img class="rounded border" width="60" height="60" src="../'+value.image_path3+'"></a></td>'+
								              '<td><a pid="'+value.id+'" iid="4" class="delete-image"><img class="rounded border" width="60" height="60" src="../'+value.image_path4+'"></a></td>'+
								              '<td><a pid="'+value.id+'" iid="5" class="delete-image"><img class="rounded border" width="60" height="60" src="../'+value.image_path5+'"></a></td>'+
								              // '<td width="" style="text-align:justify">'+ value.product_description +'</td>'+
								              '<td style="text-align:center" class="NoneDisplay"><label class="switch"><input type="checkbox" checked><span pid="'+value.id+'" stat="'+value.display_position+'" class="slider round abcd"></span></label></td>'+
								              '<td class="NoneDisplay" width="80" style="text-align:center"><a class="btn btn-sm btn-info edit-product" style="color:#fff;"><span style="display:none;">'+JSON.stringify(value)+'</span><i class="fas fa-pencil-alt"></i></a>&nbsp;<a pid="'+value.id+'" class="btn btn-sm btn-danger delete-product" style="color:#fff;"><i class="fas fa-trash-alt"></i></a></td>'+
								            '</tr>';

							}else{

								productHTML += '<tr>'+
								              '<td>'+ '' +'</td>'+
								              '<td>'+ value.product_name_e +'</td>'+							              
								              '<td>'+ value.product_name_s +'</td>'+
								              '<td>'+ value.product_name_t +'</td>'+
								              '<td>'+ value.category_name_e +'</td>'+
								              '<td>Rs.'+ value.price +'</td>'+
								              '<td>'+ value.discount +'</td>'+
								              '<td><img width="60" height="60" class="rounded border" src="../'+value.image_path+'"></td>'+
								              '<td><a pid="'+value.id+'" iid="2" class="delete-image"><img class="rounded border" width="60" height="60" src="../'+value.image_path2+'"></a></td>'+
								              '<td><a pid="'+value.id+'" iid="3" class="delete-image"><img class="rounded border" width="60" height="60" src="../'+value.image_path3+'"></a></td>'+
								              '<td><a pid="'+value.id+'" iid="4" class="delete-image"><img class="rounded border" width="60" height="60" src="../'+value.image_path4+'"></a></td>'+
								              '<td><a pid="'+value.id+'" iid="5" class="delete-image"><img class="rounded border" width="60" height="60" src="../'+value.image_path5+'"></a></td>'+
								              // '<td width="" style="text-align:justify">'+ value.product_description +'</td>'+
								              '<td style="text-align:center" class="NoneDisplay"><label class="switch"><input type="checkbox"><span pid="'+value.id+'" stat="'+value.display_position+'" class="slider round abcd"></span></label></td>'+
								              '<td class="NoneDisplay" width="80" style="text-align:center"><a class="btn btn-sm btn-info edit-product" style="color:#fff;"><span style="display:none;">'+JSON.stringify(value)+'</span><i class="fas fa-pencil-alt"></i></a>&nbsp;<a pid="'+value.id+'" class="btn btn-sm btn-danger delete-product" style="color:#fff;"><i class="fas fa-trash-alt"></i></a></td>'+
								            '</tr>';

							}
							

						});

						$("#product_list").html(productHTML);
					}

					


					var catSelectHTML = '<option value="">Select Category</option>';
					$.each(resp.message.categories, function(index, value){

						catSelectHTML += '<option value="'+ value.category_id +'">'+ value.category_name_e +'</option>';

					});

					$(".category_list").html(catSelectHTML);

				}
			}

		});
	}

	getProducts();

	$(".add-product").on("click", function(){

		$.ajax({

			url : '../administrator/classes/Products',
			method : 'POST',
			data : new FormData($("#add-product-form")[0]),
			contentType : false,
			cache : false,
			processData : false,
			success : function(response){
				console.log(response);
				var resp = $.parseJSON(response);
				if (resp.status == 202) {
					$("#add-product-form").trigger("reset");
					$("#add_product_modal").modal('hide');
					getProducts();
					alert(resp.message);
				}else if(resp.status == 303){
					alert(resp.message);
				}
			}

		});

	});


	$(document.body).on('click', '.edit-product', function(){

		//console.log($(this).find('span').text());

		var product = $.parseJSON($.trim($(this).find('span').text()));

		//console.log(product);

		$("input[name='e_product_name_s']").val(product.product_name_s);
		$("input[name='e_product_name_e']").val(product.product_name_e);
		$("input[name='e_product_name_t']").val(product.product_name_t);
		$("select[name='e_category_id']").val(product.category_id);
		$("input[name='e_price']").val(product.price);
		$("input[name='e_discount']").val(product.discount);
		$("textarea[name='e_product_desc_s']").val(product.product_description_s);
		$("textarea[name='e_product_details_s']").val(product.product_details_s);
		$("textarea[name='e_product_desc_e']").val(product.product_description_e);
		$("textarea[name='e_product_details_e']").val(product.product_details_e);
		$("textarea[name='e_product_desc_t']").val(product.product_description_t);
		$("textarea[name='e_product_details_t']").val(product.product_details_t);
		$("input[name='e_image1']").val(product.image_path);
		$("input[name='e_image2']").val(product.image_path2);
		$("input[name='e_image3']").val(product.image_path3);
		$("input[name='e_image4']").val(product.image_path4);
		$("input[name='e_image5']").val(product.image_path5);
		$("input[name='e_product_image1']").siblings("img").attr("src", "../"+product.image_path);
		$("input[name='e_product_image2']").siblings("img").attr("src", "../"+product.image_path2);
		$("input[name='e_product_image3']").siblings("img").attr("src", "../"+product.image_path3);
		$("input[name='e_product_image4']").siblings("img").attr("src", "../"+product.image_path4);
		$("input[name='e_product_image5']").siblings("img").attr("src", "../"+product.image_path5);
		$("input[name='pid']").val(product.id);
		$("#edit_product_modal").modal('show');

	});

	$(".submit-edit-product").on('click', function(){

		$.ajax({

			url : '../administrator/classes/Products',
			method : 'POST',
			data : new FormData($("#edit-product-form")[0]),
			contentType : false,
			cache : false,
			processData : false,
			success : function(response){
				//console.log(response);
				var resp = $.parseJSON(response);
				if (resp.status == 202) {
					$("#edit-product-form").trigger("reset");
					$("#edit_product_modal").modal('hide');
					getProducts();
					alert(resp.message);
				}else if(resp.status == 303){
					alert(resp.message);
				}
			}

		});


	});

	$(document.body).on('click', '.delete-product', function(){

		var pid = $(this).attr('pid');
		if (confirm("Are you sure to delete this product ?")) {
			$.ajax({

				url : '../administrator/classes/Products',
				method : 'POST',
				data : {DELETE_PRODUCT: 1, pid:pid},
				success : function(response){
					//console.log(response);
					var resp = $.parseJSON(response);
					if (resp.status == 202) {
						getProducts();
						alert(resp.message);
					}else if (resp.status == 303) {
						alert(resp.message);
					}
				}

			});
		}else{
			alert('Cancelled');
		}
		

	});

	$(document.body).on('click', '.abcd', function(){

		var pid = $(this).attr('pid');
		var stat = $(this).attr('stat');
		// if (confirm("Are you sure to change admin's edit?")) {
			$.ajax({

				url : '../administrator/classes/Products',
				method : 'POST',
				data : {BEST_PRODUCT: 1, pid:pid, stat:stat},
				success : function(response){
					//console.log(response);
					var resp = $.parseJSON(response);
					if (resp.status == 202) {
						getProducts();
						alert(resp.message);
					}else if (resp.status == 303) {
						alert(resp.message);
						getProducts();
					}
				}

			});
		// }else{
		// 	alert('Cancelled');
		// }
		

	});

	$(document.body).on('click', '.delete-image', function(){

      var pid = $(this).attr('pid');
      var iid = $(this).attr('iid');
      if (confirm("Are you sure to delete this image ?")) {
        $.ajax({

          url : '../administrator/classes/Products',
          method : 'POST',
          data : {DELETE_PRODUCT_IMAGE: 1, pid:pid, iid:iid},
          success : function(response){
            //console.log(response);
            var resp = $.parseJSON(response);
            if (resp.status == 202) {
              getProducts();
              alert(resp.message);
            }else if (resp.status == 303) {
              alert(resp.message);
            }
          }

        });
      }else{
        alert('Cancelled');
      }
      

    });

});