$(document).ready(function(){

	var sliderList;

	function getSliders(){
		$.ajax({
			url : '../administrator/classes/Sliders',
			method : 'POST',
			data : {GET_SLIDER:1},
			success : function(response){
				//console.log(response);
				var resp = $.parseJSON(response);
				if (resp.status == 202) {

					var sliderHTML = '';

					sliderList = resp.message.sliders;

					if (sliderList) {
						$.each(resp.message.sliders, function(index, value){

							sliderHTML += '<tr>'+
								              '<td>'+ '' +'</td>'+
								              '<td>'+ value.description_1 +'</td>'+
								              '<td>'+ value.description_2 +'</td>'+
								              '<td>'+ value.description_3 +'</td>'+
								              '<td style="text-align:center"><img width="350" height="120" class="img-thumbnail" src="../'+value.image_path+'"></td>'+
								              '<td class="NoneDisplay" style="text-align:center"><a class="btn btn-sm btn-info edit-slider" style="color:#fff;"><span style="display:none;">'+JSON.stringify(value)+'</span><i class="fas fa-pencil-alt"></i></a>&nbsp;<a pid="'+value.id+'" class="btn btn-sm btn-danger delete-slider" style="color:#fff;"><i class="fas fa-trash-alt"></i></a></td>'+
								            '</tr>';

						});

						$("#slider_list").html(sliderHTML);
					}

				}
			}

		});
	}

	getSliders();

	$(".add-slider").on("click", function(){

		$.ajax({

			url : '../administrator/classes/Sliders',
			method : 'POST',
			data : new FormData($("#add-slider-form")[0]),
			contentType : false,
			cache : false,
			processData : false,
			success : function(response){
				var resp = $.parseJSON(response);
				if (resp.status == 202) {
					$("#add-slider-form").trigger("reset");
					$("#add_slider_modal").modal('hide');
					getSliders();
					alert(resp.message);
				}else if(resp.status == 303){
					alert(resp.message);
				}
			}

		});

	});


	$(document.body).on('click', '.edit-slider', function(){

		var slider = $.parseJSON($.trim($(this).find('span').text()));

		$("input[name='e_description_1']").val(slider.description_1);
		$("input[name='e_description_2']").val(slider.description_2);
		$("input[name='e_description_3']").val(slider.description_3);
		$("input[name='e_image']").val(slider.image_path);
		$("input[name='e_slider_image']").siblings("img").attr("src", "../"+slider.image_path);
		$("input[name='pid']").val(slider.id);
		$("#edit_slider_modal").modal('show');

	});

	$(".submit-edit-slider").on('click', function(){

		$.ajax({

			url : '../administrator/classes/Sliders',
			method : 'POST',
			data : new FormData($("#edit-slider-form")[0]),
			contentType : false,
			cache : false,
			processData : false,
			success : function(response){
				var resp = $.parseJSON(response);
				if (resp.status == 202) {
					$("#edit-slider-form").trigger("reset");
					$("#edit_slider_modal").modal('hide');
					getSliders();
					alert(resp.message);
				}else if(resp.status == 303){
					alert(resp.message);
				}
			}

		});


	});

	$(document.body).on('click', '.delete-slider', function(){

		var pid = $(this).attr('pid');
		if (confirm("Are you sure to delete this slider ?")) {
			$.ajax({

				url : '../administrator/classes/Sliders',
				method : 'POST',
				data : {DELETE_SLIDER: 1, pid:pid},
				success : function(response){
					var resp = $.parseJSON(response);
					if (resp.status == 202) {
						getSliders();
						alert(resp.message);
					}else if (resp.status == 303) {
						alert(resp.message);
					}
				}

			});
		}else{
			alert('Cancelled');
		}
		

	});

});