$(document).ready(function(){

	getBrands();
	
	function getBrands(){
		$.ajax({
			url : '../administrator/classes/Products',
			method : 'POST',
			data : {GET_BRAND:1},
			success : function(response){
				//console.log(response);
				var resp = $.parseJSON(response);

				var brandHTML = '';

				$.each(resp.message, function(index, value){
					
					if(value.image_path=='' || value.image_path==null){
								
							if(value.image_path=='' || value.image_path==null){
								value.image_path='img/clear.png';
							}
							
							brandHTML += '<tr>'+
							              '<td>'+ '' +'</td>'+
										  '<td>'+ value.brand_name +'</td>'+
							              '<td>'+ '' +'</td>'+
							              '<td style="text-align:center" class="NoneDisplay"><a class="btn btn-sm btn-info edit-brand"><span style="display:none;">'+JSON.stringify(value)+'</span><i class="fas fa-pencil-alt"></i></a>&nbsp;<a bid="'+value.id+'" class="btn btn-sm btn-danger delete-brand"><i class="fas fa-trash-alt"></i></a></td>'+
							            '</tr>';

						}else{

							brandHTML += '<tr>'+
							              '<td>'+ '' +'</td>'+
										  '<td>'+ value.brand_name +'</td>'+
							              '<td style="text-align:center"><img width="200" height="100" class="img-thumbnail" src="../'+value.image_path+'"></td>'+
							              '<td style="text-align:center" class="NoneDisplay"><a class="btn btn-sm btn-info edit-brand"><span style="display:none;">'+JSON.stringify(value)+'</span><i class="fas fa-pencil-alt"></i></a>&nbsp;<a bid="'+value.id+'" class="btn btn-sm btn-danger delete-brand"><i class="fas fa-trash-alt"></i></a></td>'+
							            '</tr>';
						}
				});

				$("#brand_list").html(brandHTML);

			}
		})
		
	}

	$(".add-brand").on("click", function(){

		$.ajax({

			url : '../administrator/classes/Products',
			method : 'POST',
			data : new FormData($("#add-brand-form")[0]),
			contentType : false,
			cache : false,
			processData : false,
			success : function(response){
				console.log(response);
				var resp = $.parseJSON(response);
				if (resp.status == 202) {
					$("#add-brand-form").trigger("reset");
					$("#add_brand_modal").modal('hide');
					getBrands();
					alert(resp.message);
				}else if(resp.status == 303){
					alert(resp.message);
				}
			}

		});

	});

	$(document.body).on('click', '.delete-brand', function(){

		var bid = $(this).attr('bid');

		if (confirm("Are you sure to delete this brand")) {
			$.ajax({
				url : '../administrator/classes/Products',
				method : 'POST',
				data : {DELETE_BRAND:1, bid:bid},
				success : function(response){
					var resp = $.parseJSON(response);
					if (resp.status == 202) {
						alert(resp.message);
						getBrands();
					}else if(resp.status == 303){
						alert(resp.message);
					}
				}
			});
		}else{
			alert('Cancelled');
		}

		

	});

	$(document.body).on("click", ".edit-brand", function(){

		var brand = $.parseJSON($.trim($(this).children("span").html()));
		//console.log(brand);
		$("input[name='e_brand_name']").val(brand.brand_name);
		$("input[name='e_brand_id']").val(brand.id);
		$("input[name='e_image']").val(brand.image_path);
		$("input[name='e_brand_image']").siblings("img").attr("src", "../"+brand.image_path);

		$("#edit_brand_modal").modal('show');

		

	});

	$(".edit-brand-btn").on('click', function(){

		$.ajax({

			url : '../administrator/classes/Products',
			method : 'POST',
			data : new FormData($("#edit-brand-form")[0]),
			contentType : false,
			cache : false,
			processData : false,
			success : function(response){
				// console.log(response);
				var resp = $.parseJSON(response);
				if (resp.status == 202) {
					$("#edit-brand-form").trigger("reset");
					$("#edit_brand_modal").modal('hide');
					getBrands();
					alert(resp.message);
				}else if(resp.status == 303){
					alert(resp.message);
				}
			}

		});


	});

});