$(document).ready(function(){

	var categoryimageList;

	function getCategoryImages(){
		$.ajax({
			url : '../administrator/classes/Category',
			method : 'POST',
			data : {GET_CATEGORYIMAGE:1},
			success : function(response){
				//console.log(response);
				var resp = $.parseJSON(response);
				if (resp.status == 202) {

					var categoryimageHTML = '';

					categoryimageList = resp.message.categoryimages;

					if (categoryimageList) {
						$.each(resp.message.categoryimages, function(index, value){
								
							if(value.category_image=='' || value.category_image==null){
								value.category_image='img/clear.png';
							}
							
							categoryimageHTML += '<tr>'+
							              '<td>'+ '' +'</td>'+
							              // '<td>'+ value.category_id +'</td>'+
										  '<td>'+ value.category_name_e +'</td>'+
										  '<td>'+ value.category_name_s +'</td>'+
										  '<td>'+ value.category_name_t +'</td>'+
							              '<td style="text-align:center"><img width="100" height="100" class="img-thumbnail" src="../'+value.category_image+'"></td>'+
							              '<td style="text-align:center" class="NoneDisplay"><a class="btn btn-sm btn-info edit-categoryimage" style="color:#fff;"><span style="display:none;">'+JSON.stringify(value)+'</span><i class="fas fa-pencil-alt"></i></a>&nbsp;<a pid="'+value.id+'" class="btn btn-sm btn-danger delete-categoryimage" style="color:#fff;"><i class="fas fa-trash-alt"></i></a></td>'+
							            '</tr>';


						});

						$("#categoryimage_list").html(categoryimageHTML);
					}

				}
			}

		});
	}

	getCategoryImages();

	$(".add-categoryimage").on("click", function(){

		$.ajax({

			url : '../administrator/classes/Category',
			method : 'POST',
			data : new FormData($("#add-categoryimage-form")[0]),
			contentType : false,
			cache : false,
			processData : false,
			success : function(response){
				//console.log(response);
				var resp = $.parseJSON(response);
				if (resp.status == 202) {
					$("#add-categoryimage-form").trigger("reset");
					$("#add_categoryimage_modal").modal('hide');
					getCategoryImages();
					alert(resp.message);
				}else if(resp.status == 303){
					alert(resp.message);
				}
			}

		});

	});


	$(document.body).on('click', '.edit-categoryimage', function(){

		console.log($(this).find('span').text());

		var categoryimage = $.parseJSON($.trim($(this).find('span').text()));

		console.log(categoryimage);

		$("input[name='e_category_id']").val(categoryimage.category_id);
		$("input[name='e_category_name_s']").val(categoryimage.category_name_s);
		$("input[name='e_category_name_e']").val(categoryimage.category_name_e);
		$("input[name='e_category_name_t']").val(categoryimage.category_name_t);
		$("input[name='e_image']").val(categoryimage.category_image);
		$("input[name='e_categoryimage_image']").siblings("img").attr("src", "../"+categoryimage.category_image);
		$("input[name='pid']").val(categoryimage.id);
		$("#edit_categoryimage_modal").modal('show');

	});

	$(".submit-edit-categoryimage").on('click', function(){

		$.ajax({

			url : '../administrator/classes/Category',
			method : 'POST',
			data : new FormData($("#edit-categoryimage-form")[0]),
			contentType : false,
			cache : false,
			processData : false,
			success : function(response){
				console.log(response);
				var resp = $.parseJSON(response);
				if (resp.status == 202) {
					$("#edit-categoryimage-form").trigger("reset");
					$("#edit_categoryimage_modal").modal('hide');
					getCategoryImages();
					alert(resp.message);
				}else if(resp.status == 303){
					alert(resp.message);
				}
			}

		});


	});

	$(document.body).on('click', '.delete-categoryimage', function(){

		var pid = $(this).attr('pid');
		if (confirm("Are you sure to delete this category?")) {
			$.ajax({

				url : '../administrator/classes/Category',
				method : 'POST',
				data : {DELETE_CATEGORYIMAGE: 1, pid:pid},
				success : function(response){
					console.log(response);
					var resp = $.parseJSON(response);
					if (resp.status == 202) {
						getCategoryImages();
						alert(resp.message);
					}else if (resp.status == 303) {
						alert(resp.message);
					}
				}

			});
		}else{
			alert('Cancelled');
		}
		

	});

});