<?php 
session_start();  
if (!isset($_SESSION['admin_id'])) {
  header("location:login");
}
?>
<?php include_once("./templates/top.php"); ?>
<?php include_once("./templates/navbar.php"); ?>
<?php
if ($_SESSION["admin_edit"]!=1) {
  include("./table.php");
  }
?>
<div class="container-fluid">
  <div class="row">
    
    <?php include "./templates/sidebar.php"; ?>

      <div class="row">
        <div class="col-10">
          <h2>Category List</h2>
        </div>
        <?php
        if ($_SESSION['admin_edit']==1) {
        ?>
        <div class="col-2">
          <a href="#" data-toggle="modal" data-target="#add_categoryimage_modal" class="btn btn-primary btn-sm">Add Category</a>
        </div>
        <?php
          }
        ?>
        
      </div>
      
      <div class="table-responsive">
        <table class="table table-striped table-sm">
          <thead>
            <tr>
              <th>#</th>
              <!-- <th>ID</th> -->
              <th>English Name</th>
              <th>Sinhala Name</th>
              <th>Tamil Name</th>
              <th style="width:150; text-align:center;">Image</th>
              <th class="NoneDisplay" style="text-align:center;">Action</th>
            </tr>
          </thead>
          <tbody id="categoryimage_list">
            <!-- <tr>
              <td>1</td>
              <td>ABC</td>
              <td>FDGR.JPG</td>
              <td>122</td>
              <td>eLECTRONCS</td>
              <td><a class="btn btn-sm btn-info"></a><a class="btn btn-sm btn-danger">Delete</a></td>
            </tr> -->
          </tbody>
        </table>
      </div>
    </main>
  </div>
</div>



<!-- Add Slider Modal start -->
<div class="modal fade" id="add_categoryimage_modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Add Category</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form id="add-categoryimage-form" enctype="multipart/form-data">
          <div class="row">
            <!-- <div class="col-12">
              <div class="form-group">
                <label>Category ID</label>
                <input type="text" name="cate_id" class="form-control" placeholder="Enter Category ID">
              </div>
            </div> -->
            <div class="col-12">
              <div class="form-group">
                <label>English Category Name<a style="color:red;">*</a></label>
                <input type="text" name="cat_title_e" class="form-control" placeholder="Enter English Category Name">
              </div>
            </div>
            <div class="col-12">
              <div class="form-group">
                <label>Sinhala Category Name<a style="color:red;">*</a></label>
                <input type="text" name="cat_title_s" class="form-control" placeholder="Enter Sinhala Category Name">
              </div>
            </div>
            <div class="col-12">
              <div class="form-group">
                <label>Tamil Category Name<a style="color:red;">*</a></label>
                <input type="text" name="cat_title_t" class="form-control" placeholder="Enter Tamil Category Name">
              </div>
            </div>
            <div class="col-12">
              <div class="form-group">
                <label>Category Image&nbsp;&nbsp;<small>( format: jpg , jpeg , png ) ( image size: under 1mb )</small></label>
                <!-- <input type="file" name="product_image" class="form-control"> -->
                <input type="file" name="categoryimage_image" class="">
              </div>
            </div>
            <input type="hidden" name="add_categoryimage" value="1">
            <div class="col-12">
              <button type="button" class="btn btn-success add-categoryimage">Add Category</button>
              <button type="reset" class="btn btn-primary">Clear</button>
            </div>
          </div>
          
        </form>
      </div>
    </div>
  </div>
</div>
<!-- Add Slider Modal end -->

<!-- Edit Slider Modal start -->
<div class="modal fade" id="edit_categoryimage_modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Edit Category</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form id="edit-categoryimage-form" enctype="multipart/form-data">
          <div class="row">
            <!-- <div class="col-12">
              <div class="form-group">
                <label>Category ID</label>
                <input type="text" name="e_category_id" class="form-control" placeholder="Enter Category ID">
              </div>
            </div> -->
            <input type="hidden" name="e_category_id" class="form-control" placeholder="Enter Category ID">
            <input type="hidden" name="cat_id">
            <div class="col-12">
              <div class="form-group">
                <label>Category English Name<a style="color:red;">*</a></label>
                <input type="text" name="e_category_name_e" class="form-control" placeholder="Enter English Category Name">
              </div>
            </div>
            <div class="col-12">
              <div class="form-group">
                <label>Category Sinhala Name<a style="color:red;">*</a></label>
                <input type="text" name="e_category_name_s" class="form-control" placeholder="Enter Sinhala Category Name">
              </div>
            </div>
            <div class="col-12">
              <div class="form-group">
                <label>Category Tamil Name<a style="color:red;">*</a></label>
                <input type="text" name="e_category_name_t" class="form-control" placeholder="Enter Tamil Category Name">
              </div>
            </div>
            <input type="hidden" name="e_image" class="form-control" placeholder="">
            <div class="col-12">
              <div class="form-group">
                <label>Category Image&nbsp;&nbsp;<small>( format: jpg , jpeg , png ) ( image size: under 1mb )</small></label>
                <input type="file" name="e_categoryimage_image" class="">
               <img src="" class="img-thumbnail" class="img-fluid" width="100" height="100">
              </div>
            </div>
            <input type="hidden" name="pid">
            <input type="hidden" name="edit_categoryimage" value="1">
            <div class="col-12">
              <button type="button" class="btn btn-success submit-edit-categoryimage">Save Changes</button>
              <button type="reset" class="btn btn-primary">Clear</button>
            </div>
          </div>
          
        </form>
      </div>
    </div>
  </div>
</div>
<!-- Edit Slider Modal end -->

<?php include_once("./templates/footer.php"); ?>



<script type="text/javascript" src="./js/category.js"></script>