<?php 
session_start();
class Products
{
	
	private $con;

	function __construct()
	{
		include_once("Database.php");
		$db = new Database();
		$this->con = $db->connect();
	}

	public function getProducts(){
		$q = $this->con->query("SELECT product.*, category.category_name_e FROM product JOIN category ON product.category_id=category.category_id");
		
		$products = [];
		if ($q->num_rows > 0) {
			while($row = $q->fetch_assoc()){
				$products[] = $row;
			}
			//return ['status'=> 202, 'message'=> $ar];
			$_DATA['products'] = $products;
		}

		$categories = [];
		$q = $this->con->query("SELECT category_id,category_name_e FROM category");
		if ($q->num_rows > 0) {
			while($row = $q->fetch_assoc()){
				$categories[] = $row;
			}
			//return ['status'=> 202, 'message'=> $ar];
			$_DATA['categories'] = $categories;
		}

		return ['status'=> 202, 'message'=> $_DATA];
	}

	public function addProduct($product_name_s,
								$product_name_e,
								$product_name_t,
								$category_id,
								$price,
								$discount,
								$product_description_s,
								$product_details_s,
								$product_description_e,
								$product_details_e,
								$product_description_t,
								$product_details_t,
								$file1,
								$file2,
								$file3,
								$file4,
								$file5){

		
		if(!empty($file1['name'])){
			$uniqueImageName1 = time()."_".$file1['name'];
			move_uploaded_file($file1['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/img/products/".$uniqueImageName1);
			$uniqueImageName11 = "img/products/$uniqueImageName1";

			$fileName1 = $file1['name'];
			$fileNameAr1= explode(".", $fileName1);
			$extension1 = end($fileNameAr1);
			$ext1 = strtolower($extension1);
		}else{
			$uniqueImageName11 = "";
			$ext1 ="";
		}

		if(!empty($file2['name'])){
			$uniqueImageName2 = time()."__".$file2['name'];
			move_uploaded_file($file2['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/img/products/".$uniqueImageName2);
			$uniqueImageName22 = "img/products/$uniqueImageName2";

			$fileName2 = $file2['name'];
			$fileNameAr2= explode(".", $fileName2);
			$extension2 = end($fileNameAr2);
			$ext2 = strtolower($extension2);
		}else{
			$uniqueImageName22 = "";
			$ext2 ="";
		}

		if(!empty($file3['name'])){
			$uniqueImageName3 = time()."_".$file3['name'];
			move_uploaded_file($file3['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/img/products/".$uniqueImageName3);
			$uniqueImageName33 = "img/products/$uniqueImageName3";

			$fileName3 = $file3['name'];
			$fileNameAr3= explode(".", $fileName3);
			$extension3 = end($fileNameAr3);
			$ext3 = strtolower($extension3);
		}else{
			$uniqueImageName33 = "";
			$ext3 ="";
		}

		if(!empty($file4['name'])){
			$uniqueImageName4 = time()."_".$file4['name'];
			move_uploaded_file($file4['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/img/products/".$uniqueImageName4);
			$uniqueImageName44 = "img/products/$uniqueImageName4";

			$fileName4 = $file4['name'];
			$fileNameAr4= explode(".", $fileName4);
			$extension4 = end($fileNameAr4);
			$ext4 = strtolower($extension4);

		}else{
			$uniqueImageName44 = "";
			$ext4 ="";
		}

		if(!empty($file5['name'])){
			$uniqueImageName5 = time()."_".$file5['name'];
			move_uploaded_file($file5['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/img/products/".$uniqueImageName5);
			$uniqueImageName55 = "img/products/$uniqueImageName5";

			$fileName5 = $file5['name'];
			$fileNameAr5= explode(".", $fileName5);
			$extension5 = end($fileNameAr5);
			$ext5 = strtolower($extension5);

		}else{
			$uniqueImageName55 = "";
			$ext5 ="";
		}
			

		if (($ext1 == "jpg" || $ext1 == "jpeg" || $ext1 == "png" || $ext1 == "") && ($ext2 == "jpg" || $ext2 == "jpeg" || $ext2 == "png" || $ext2 == "") && ($ext3 == "jpg" || $ext3 == "jpeg" || $ext3 == "png" || $ext3 == "") && ($ext4 == "jpg" || $ext4 == "jpeg" || $ext4 == "png" || $ext4 == "") && ($ext5 == "jpg" || $ext5 == "jpeg" || $ext5 == "png" || $ext5 == "")) {


			if (($file1['size'] < (1024 * 1024)) && ($file2['size'] < (1024 * 1024)) && ($file3['size'] < (1024 * 1024)) && ($file4['size'] < (1024 * 1024)) && ($file5['size'] < (1024 * 1024))) {

					$q = $this->con->query("INSERT INTO `product`(`product_name_s`, `product_name_e`, `product_name_t`, `product_description_s`, `product_description_e`, `product_description_t`, `category_id`, `price`, `discount`, `product_details_s`, `product_details_e`, `product_details_t`, `image_path`, `image_path2`, `image_path3`, `image_path4`, `image_path5`) VALUES ('$product_name_s','$product_name_e','$product_name_t', '$product_description_s', '$product_description_e', '$product_description_t', '$category_id', '$price', '$discount', '$product_details_s', '$product_details_e', '$product_details_t', '$uniqueImageName11', '$uniqueImageName22', '$uniqueImageName33', '$uniqueImageName44', '$uniqueImageName55')");

					if ($q) {
						return ['status'=> 202, 'message'=> 'Product Added Successfully'];
					}else{
						return ['status'=> 303, 'message'=> 'Failed to Add Product'];
					}

			}else{
				return ['status'=> 303, 'message'=> 'Large Image [ Max Size allowed 1MB ]'];
			}

		}else{
			return ['status'=> 303, 'message'=> 'Invalid Image Format [ Valid Formats : jpg, jpeg, png ]'];
		}

	}


	public function editProductWithImage($pid,
										$product_name_s,
										$product_name_e,
										$product_name_t,
										$price,
										$category_id,
										$discount,
										$product_desc_s,
										$product_desc_e,
										$product_desc_t,
										$product_details_s,
										$product_details_e,
										$product_details_t,
										$image1,
										$image2,
										$image3,
										$image4,
										$image5,
										$file1,
										$file2,
										$file3,
										$file4,
										$file5){

		// check product name changed or get from DB product name
		if(empty($file1['name'])){
			$uniqueImageName11 = $image1;
		}else{
			$uniqueImageName1 = time()."_".$file1['name'];
			move_uploaded_file($file1['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/img/products/".$uniqueImageName1);
			$uniqueImageName11 = "img/products/$uniqueImageName1";
		}

		if(empty($file2['name'])){
			$uniqueImageName22 = $image2;
		}else{
			$uniqueImageName2 = time()."__".$file2['name'];
			move_uploaded_file($file2['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/img/products/".$uniqueImageName2);
			$uniqueImageName22 = "img/products/$uniqueImageName2";
		}

		if(empty($file3['name'])){
			$uniqueImageName33 = $image3;
		}else{
			$uniqueImageName3 = time()."___".$file3['name'];
			move_uploaded_file($file3['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/img/products/".$uniqueImageName3);
			$uniqueImageName33 = "img/products/$uniqueImageName3";
		}

		if(empty($file4['name'])){
			$uniqueImageName44 = $image4;
		}else{
			$uniqueImageName4 = time()."____".$file4['name'];
			move_uploaded_file($file4['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/img/products/".$uniqueImageName4);
			$uniqueImageName44 = "img/products/$uniqueImageName4";
		}

		if(empty($file5['name'])){
			$uniqueImageName55 = $image5;
		}else{
			$uniqueImageName5 = time()."_____".$file5['name'];
			move_uploaded_file($file5['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/img/products/".$uniqueImageName5);
			$uniqueImageName55 = "img/products/$uniqueImageName5";
		}

		// // if image empty we save it as null
		// if(empty($uniqueImageName11)){
		// 	$uniqueImageName11='null';
		// }
		// if(empty($uniqueImageName22)){
		// 	$uniqueImageName22='null';
		// }
		// if(empty($uniqueImageName33)){
		// 	$uniqueImageName33='null';
		// }
		// if(empty($uniqueImageName44)){
		// 	$uniqueImageName44='null';
		// }

		// get files extension
		$fileName1 = $uniqueImageName11;
		$fileNameAr1= explode(".", $fileName1);
		$extension1 = end($fileNameAr1);
		$ext1 = strtolower($extension1);

		$fileName2 = $uniqueImageName22;
		$fileNameAr2= explode(".", $fileName2);
		$extension2 = end($fileNameAr2);
		$ext2 = strtolower($extension2);

		$fileName3 = $uniqueImageName33;
		$fileNameAr3= explode(".", $fileName3);
		$extension3 = end($fileNameAr3);
		$ext3 = strtolower($extension3);

		$fileName4 = $uniqueImageName44;
		$fileNameAr4= explode(".", $fileName4);
		$extension4 = end($fileNameAr4);
		$ext4 = strtolower($extension4);

		$fileName5 = $uniqueImageName55;
		$fileNameAr5= explode(".", $fileName5);
		$extension5 = end($fileNameAr5);
		$ext5 = strtolower($extension5);

		if ($uniqueImageName11=="img/clear.png") {
			$uniqueImageName11='';
		}

		if ($uniqueImageName22=="img/clear.png") {
			$uniqueImageName22='';
		}

		if ($uniqueImageName33=="img/clear.png") {
			$uniqueImageName33='';
		}

		if ($uniqueImageName44=="img/clear.png") {
			$uniqueImageName44='';
		}

		if ($uniqueImageName55=="img/clear.png") {
			$uniqueImageName55='';
		}

		if (($ext1 == "jpg" || $ext1 == "jpeg" || $ext1 == "png" || $ext1 == "") && ($ext2 == "jpg" || $ext2 == "jpeg" || $ext2 == "png" || $ext2 == "") && ($ext3 == "jpg" || $ext3 == "jpeg" || $ext3 == "png" || $ext3 == "") && ($ext4 == "jpg" || $ext4 == "jpeg" || $ext4 == "png" || $ext4 == "") && ($ext5 == "jpg" || $ext5 == "jpeg" || $ext5 == "png" || $ext5 == "")) {
			

			if (($file1['size'] < (1024 * 1024)) && ($file2['size'] < (1024 * 1024)) && ($file3['size'] < (1024 * 1024)) && ($file4['size'] < (1024 * 1024)) && ($file5['size'] < (1024 * 1024))) {
					
					$q = $this->con->query("UPDATE `product` SET 
										`product_name_s` = '$product_name_s',
										`product_name_e` = '$product_name_e',
										`product_name_t` = '$product_name_t',
										`price` = '$price', 
										`category_id` = '$category_id', 
										`discount` = '$discount', 
										`product_description_s` = '$product_desc_s',
										`product_description_e` = '$product_desc_e',
										`product_description_t` = '$product_desc_t',
										`product_details_s` = '$product_details_s',
										`product_details_e` = '$product_details_e',
										`product_details_t` = '$product_details_t',
										`image_path` = '$uniqueImageName11',
										`image_path2` = '$uniqueImageName22',
										`image_path3` = '$uniqueImageName33',
										`image_path4` = '$uniqueImageName44',
										`image_path5` = '$uniqueImageName55' WHERE id = '$pid'");

					if ($q) {
						return ['status'=> 202, 'message'=> 'Product Updated Successfully'];
					}else{
						return ['status'=> 303, 'message'=> 'Failed to Update Product'];
					}

			}else{
				return ['status'=> 303, 'message'=> 'Large Image [ Max Size allowed 1MB ]'];
			}

		}else{
			return ['status'=> 303, 'message'=> 'Invalid Image Format [ Valid Formats : jpg, jpeg, png ]'];
		}

	}

	public function editProductWithoutImage($pid,
										$product_name_s,
										$product_name_e,
										$product_name_t,
										$price,
										$category_id,
										$discount,
										$product_desc_s,
										$product_desc_e,
										$product_desc_t,
										$product_details_s,
										$product_details_e,
										$product_details_t){

		if ($pid != null) {
			$q = $this->con->query("UPDATE `product` SET 
										`product_name_s` = '$product_name_s',
										`product_name_e` = '$product_name_e',
										`product_name_t` = '$product_name_t',
										`price` = '$price', 
										`category_id` = '$category_id', 
										`discount` = '$discount', 
										`product_description_s` = '$product_desc_s',
										`product_description_e` = '$product_desc_e',
										`product_description_t` = '$product_desc_t',
										`product_details_s` = '$product_details_s',
										`product_details_e` = '$product_details_e',
										`product_details_t` = '$product_details_t' WHERE id = '$pid'");

			if ($q) {
				return ['status'=> 202, 'message'=> 'Product updated Successfully'];
			}else{
				return ['status'=> 303, 'message'=> 'Failed to Update Product'];
			}
			
		}else{
			return ['status'=> 303, 'message'=> 'Invalid product id'];
		}
		
	}

	public function bestProduct($pid,$status){

		if ($pid != null && $status=='home') {

				$q = $this->con->query("UPDATE product SET `display_position` = '' WHERE id = '$pid'");
				if ($q) {
					return ['status'=> 202, 'message'=> 'Product Now Removed Successfully from Best Products'];
				}else{
					return ['status'=> 303, 'message'=> 'Failed to Remove Product from Best Products'];
				}
			
		}elseif ($pid != null && $status=='') {

			$query = $this->con->query("SELECT `id` FROM `product` WHERE `display_position` LIKE 'home'");
			if($query->num_rows < 24){

				$q = $this->con->query("UPDATE product SET `display_position` = 'home' WHERE id = '$pid'");
					if ($q) {
						return ['status'=> 202, 'message'=> 'Product Now Display in Best Products Successfully'];
					}else{
						return ['status'=> 303, 'message'=> 'Failed to Display Product in Best Products'];
					}
			}else{
				return ['status'=> 303, 'message'=> 'Only 24 Best Products Can Display!'];
			}

		}else{
			return ['status'=> 303, 'message'=>'Empty Fields'];
		}
	}

	public function deleteProduct($pid = null){
		if ($pid != null) {
			$q = $this->con->query("DELETE FROM product WHERE id = '$pid'");
			if ($q) {
				return ['status'=> 202, 'message'=> 'Product Removed Successfully'];
			}else{
				return ['status'=> 202, 'message'=> 'Failed To Remove Product'];
			}
			
		}else{
			return ['status'=> 303, 'message'=>'Invalid product id'];
		}

	}

	public function deleteProductImage($pid = null,$iid = null){
		
		if(!empty($iid) && $iid==1){
			$image_path_column="image_path";
		}
		elseif(!empty($iid) && $iid==2){
			$image_path_column="image_path$iid";
		}
		elseif(!empty($iid) && $iid==3){
			$image_path_column="image_path$iid";
		}
		elseif(!empty($iid) && $iid==4){
			$image_path_column="image_path$iid";
		}
		elseif(!empty($iid) && $iid==5){
			$image_path_column="image_path$iid";
		}else{
			return ['status'=> 303, 'message'=>'Invalid product image id'];
		}

		if ($pid != null && $iid != null) {
			$q = $this->con->query("UPDATE product SET `$image_path_column` = '' WHERE id = '$pid'");
			if ($q) {
				return ['status'=> 202, 'message'=> 'Product Image Removed Successfully'];
			}else{
				return ['status'=> 303, 'message'=> 'Failed To Remove Product Image'];
			}
			
		}else{
			return ['status'=> 303, 'message'=>'Invalid product image id'];
		}

	}
	
}

if (isset($_POST['GET_PRODUCT'])) {
	if (isset($_SESSION['admin_id'])) {
		$p = new Products();
		echo json_encode($p->getProducts());
		exit();
	}
}


if (isset($_POST['add_product'])) {

	extract($_POST);
	if (!empty($product_name_s)
	&& !empty($product_name_e)
	&& !empty($product_name_t)
	&& !empty($category_id)
	&& !empty($_FILES['product_image1']['name'])) {
		

		$p = new Products();
		$result = $p->addProduct($product_name_s,
								$product_name_e,
								$product_name_t,
								$category_id,
								$price,
								$discount,
								$product_description_s,
								$product_details_s,
								$product_description_e,
								$product_details_e,
								$product_description_t,
								$product_details_t,
								$_FILES['product_image1'],
								$_FILES['product_image2'],
								$_FILES['product_image3'],
								$_FILES['product_image4'],
								$_FILES['product_image5']);
		
		echo json_encode($result);
		exit();


	}else{
		echo json_encode(['status'=> 303, 'message'=> 'Empty fields']);
		exit();
	}



	
}


if (isset($_POST['edit_product'])) {

	extract($_POST);
	if (!empty($pid)
	&& !empty($e_product_name_s)
	&& !empty($e_product_name_e)
	&& !empty($e_product_name_t)
	&& !empty($e_category_id) ) {
		
		$p = new Products();


		if ((isset($_FILES['e_product_image1']['name']) && !empty($_FILES['e_product_image1']['name'])) || (isset($_FILES['e_product_image2']['name']) && !empty($_FILES['e_product_image2']['name'])) || (isset($_FILES['e_product_image3']['name']) && !empty($_FILES['e_product_image3']['name'])) || (isset($_FILES['e_product_image4']['name']) && !empty($_FILES['e_product_image4']['name'])) || (isset($_FILES['e_product_image5']['name']) && !empty($_FILES['e_product_image5']['name']))) {
			$result = $p->editProductWithImage($pid,
								$e_product_name_s,
								$e_product_name_e,
								$e_product_name_t,
								$e_price,
								$e_category_id,
								$e_discount,
								$e_product_desc_s,
								$e_product_desc_e,
								$e_product_desc_t,
								$e_product_details_s,
								$e_product_details_e,
								$e_product_details_t,
								$e_image1,
								$e_image2,
								$e_image3,
								$e_image4,
								$e_image5,
								$_FILES['e_product_image1'],
								$_FILES['e_product_image2'],
								$_FILES['e_product_image3'],
								$_FILES['e_product_image4'],
								$_FILES['e_product_image5']);
		}else{
			$result = $p->editProductWithoutImage($pid,
								$e_product_name_s,
								$e_product_name_e,
								$e_product_name_t,
								$e_price,
								$e_category_id,
								$e_discount,
								$e_product_desc_s,
								$e_product_desc_e,
								$e_product_desc_t,
								$e_product_details_s,
								$e_product_details_e,
								$e_product_details_t);
		}

		echo json_encode($result);
		exit();


	}else{
		echo json_encode(['status'=> 303, 'message'=> 'Empty fields']);
		exit();
	}



	
}

if (isset($_POST['DELETE_PRODUCT'])) {
	$p = new Products();
	if (isset($_SESSION['admin_id'])) {
		if(!empty($_POST['pid'])){
			$pid = $_POST['pid'];
			echo json_encode($p->deleteProduct($pid));
			exit();
		}else{
			echo json_encode(['status'=> 303, 'message'=> 'Invalid product id']);
			exit();
		}
	}else{
		echo json_encode(['status'=> 303, 'message'=> 'You Must Login']);
	}


}

if (isset($_POST['DELETE_PRODUCT_IMAGE'])) {
	$p = new Products();
	if (isset($_SESSION['admin_id'])) {
		if ($_SESSION['admin_edit']==1) {
			if(!empty($_POST['pid']) && !empty($_POST['iid'])){
				$pid = $_POST['pid'];
				$iid = $_POST['iid'];
				echo json_encode($p->deleteProductImage($pid,$iid));
				exit();
			}else{
				echo json_encode(['status'=> 303, 'message'=> 'Can not delete this product image']);
				exit();
			}
		}else{
			echo json_encode(['status'=> 303, 'message'=> 'You have no permission to edit products']);
			exit();
		}
	}else{
		echo json_encode(['status'=> 303, 'message'=> 'You Must Login']);
	}


}

if (isset($_POST['BEST_PRODUCT'])) {
	if (!empty($_POST['pid'])) {
		$p = new Products();
		echo json_encode($p->bestProduct($_POST['pid'],$_POST['stat']));
		exit();
	}else{
		echo json_encode(['status'=> 303, 'message'=> 'Invalid details']);
		exit();
	}
}

?>