$(document).ready(function(){

	getAdmins();
	
	function getAdmins(){
		$.ajax({
			url : '../administrator/classes/Admins',
			method : 'POST',
			data : {GET_ADMIN:1},
			success : function(response){
				//console.log(response);
				var resp = $.parseJSON(response);

				if (resp.status == 202) {
					var adminHTML = '';

					$.each(resp.message, function(index, value){

						if (value.edit==1) {

							adminHTML += '<tr>'+
										'<td></td>'+
										'<td>'+ value.name +'</td>'+
										'<td>'+ value.email +'</td>'+
										'<td class="NoneDisplay"><label class="switch"><input type="checkbox" checked><span aid="'+value.id+'" stat="'+value.edit+'" class="slider round abcd"></span></label></td>'+
										'<td class="NoneDisplay" style="text-align:center"><a class="btn btn-sm btn-info edit-admin" style="color:#fff;"><span style="display:none;">'+JSON.stringify(value)+'</span><i class="fas fa-pencil-alt"></i></a>&nbsp;<a aid="'+value.id+'" class="btn btn-sm btn-danger delete-admin" style="color:#fff;"><i class="fas fa-trash-alt"></i></a></td>'+
									'</tr>';
						}else{

							adminHTML += '<tr>'+
										'<td></td>'+
										'<td>'+ value.name +'</td>'+
										'<td>'+ value.email +'</td>'+
										'<td class="NoneDisplay"><label class="switch"><input type="checkbox"><span aid="'+value.id+'" stat="'+value.edit+'" class="slider round abcd"></span></label></td>'+
										'<td class="NoneDisplay" style="text-align:center"><a class="btn btn-sm btn-info edit-admin" style="color:#fff;"><span style="display:none;">'+JSON.stringify(value)+'</span><i class="fas fa-pencil-alt"></i></a>&nbsp;<a aid="'+value.id+'" class="btn btn-sm btn-danger delete-admin" style="color:#fff;"><i class="fas fa-trash-alt"></i></a></td>'+
									'</tr>';
						}

						
					});

					$("#admin_list").html(adminHTML);

				}else if(resp.status == 303){
					$("#admin_list").html(resp.message);
				}

				

				

			}
		})
		
	}

	$(".add-admin").on("click", function(){

		$.ajax({
			url : '../administrator/classes/Admins',
			method : 'POST',
			data : $("#add-admin-form").serialize(),
			success : function(response){
				var resp = $.parseJSON(response);
				if (resp.status == 202) {
					getAdmins();
					alert(resp.message);
				}else if(resp.status == 303){
					alert(resp.message);
				}
				$("#add_admin_modal").modal('hide');
			}
		})

	});

	$(document.body).on('click', '.delete-admin', function(){

		var aid = $(this).attr('aid');
		if (confirm("Are you sure to delete this Admin ?")) {
			$.ajax({

				url : '../administrator/classes/Admins',
				method : 'POST',
				data : {DELETE_ADMIN: 1, aid:aid},
				success : function(response){
					console.log(response);
					var resp = $.parseJSON(response);
					if (resp.status == 202) {
						getAdmins();
						alert(resp.message);
					}else if (resp.status == 303) {
						alert(resp.message);
					}
				}

			});
		}else{
			alert('Cancelled');
		}
		

	});

	$(document.body).on('click', '.edit-admin', function(){

		console.log($(this).find('span').text());

		var admin = $.parseJSON($.trim($(this).find('span').text()));

		console.log(admin);

		$("input[name='e_admin_email']").val(admin.email);
		$("input[name='e_admin_name']").val(admin.name);
		// $("input[name='e_admin_pass']").val(admin.admin_pass);
		$("input[name='aid']").val(admin.id);
		$("#edit_admin_modal").modal('show');

	});

	// $(".submit-edit-admin").on('click', function(){

	// 	$.ajax({

	// 		url : '../administrator/classes/Admins',
	// 		method : 'POST',
	// 		data : new FormData($("#edit-admin-form")[0]),
	// 		contentType : false,
	// 		cache : false,
	// 		processData : false,
	// 		success : function(response){
	// 			console.log(response);
	// 			var resp = $.parseJSON(response);
	// 			if (resp.status == 202) {
	// 				$("#edit-admin-form").trigger("reset");
	// 				$("#edit_admin_modal").modal('hide');
	// 				getAdmins();
	// 				alert(resp.message);
	// 			}else if(resp.status == 303){
	// 				alert(resp.message);
	// 			}
	// 		}

	// 	});


	// });

	$(".edit-admin-btn").on("click", function(){
		$.ajax({
			url : '../administrator/classes/Admins',
			method : 'POST',
			data : $("#edit-admin-form").serialize(),
			success : function(response){
				var resp = $.parseJSON(response);
				if (resp.status == 202) {
					getAdmins();
					$("#edit_admin_modal").modal('hide');
					alert(resp.message);
				}else if(resp.status == 303){
					alert(resp.message);
				}
				
			}
		});
	});

	$(document.body).on('click', '.abcd', function(){

		var aid = $(this).attr('aid');
		var stat = $(this).attr('stat');
		// if (confirm("Are you sure to change admin's edit?")) {
			$.ajax({

				url : '../administrator/classes/Admins',
				method : 'POST',
				data : {EDIT_ADMIN_FUNC: 1, aid:aid, stat:stat},
				success : function(response){
					console.log(response);
					var resp = $.parseJSON(response);
					if (resp.status == 202) {
						getAdmins();
						alert(resp.message);
					}else if (resp.status == 303) {
						alert(resp.message);
					}
				}

			});
		// }else{
		// 	alert('Cancelled');
		// }
		

	});

});