<!doctype html>
<html class="no-js" lang="en">
    <head>
        <title>බී.සී.සී. | වෘත්තීන්</title>

        <!-- Meta Area Start -->   
        <?php include('meta.php'); ?>
        <!-- Meta Area End -->
  <style>

    .lightbox {
      border-radius: 5px;
      cursor: pointer;
      transition: 0.3s;
    }

    .lightbox:hover {opacity: 0.7;}

    /* The Modal (background) */
    .modal {
      display: none; /* Hidden by default */
      position: fixed; /* Stay in place */
      z-index: 1; /* Sit on top */
      padding-top: 100px; /* Location of the box */
      left: 0;
      top: 0;
      width: 100%; /* Full width */
      height: 100%; /* Full height */
      overflow: auto; /* Enable scroll if needed */
      background-color: rgb(0,0,0); /* Fallback color */
      background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
    }

    /* Modal Content (image) */
    .modal-content {
      margin: auto;
      display: block;
      width: 80%;
      max-width: 700px;
    }

    /* Caption of Modal Image */
    #caption {
      margin: auto;
      display: block;
      width: 80%;
      max-width: 700px;
      text-align: center;
      color: #ccc;
      padding: 10px 0;
      height: 150px;
    }

    /* Add Animation */
    .modal-content, #caption {  
      -webkit-animation-name: zoom;
      -webkit-animation-duration: 0.6s;
      animation-name: zoom;
      animation-duration: 0.6s;
    }

    @-webkit-keyframes zoom {
      from {-webkit-transform:scale(0)} 
      to {-webkit-transform:scale(1)}
    }

    @keyframes zoom {
      from {transform:scale(0)} 
      to {transform:scale(1)}
    }

<?php for ($i=0; $i < 10; $i++) { ?>

    /* The Close Button */
    .<?php echo('close'.$i)?> {
      position: absolute;
      top: 15px;
      right: 35px;
      color: #f1f1f1;
      font-size: 40px;
      font-weight: bold;
      transition: 0.3s;
    }

    .<?php echo('close'.$i)?>:hover,
    .<?php echo('close'.$i)?>:focus {
      color: #bbb;
      text-decoration: none;
      cursor: pointer;
    }

<?php } ?>

    /* 100% Image Width on Smaller Screens */
    @media only screen and (max-width: 700px){
      .modal-content {
        width: 100%;
      }
    }
</style>
    </head>
    <body>

        <!-- Header Area Start -->   
        <?php include('header.php'); ?>
        <!-- Header Area End -->
        
        <!-- Breadcrumb Area Start -->
        <div class="breadcrumb-area">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">  
                        <div class="breadcrumbs">
                            <ul>
                                <li><a href="index">පළමු පිටුව</a></li>
                                <li class="active">වෘත්තීන්</li>
                            </ul>
                        </div>  
                    </div>
                </div>
            </div>
        </div>
        <!-- Breadcrumb Area End -->

    <!-- Blog Details Area Start -->
        <div class="blog-details-area pb-20" style="padding: 10px;">
            <div class="container">
                <div class="row">
                    <div class="order-xl-2 order-lg-2">
                        <!-- <div class="blog-image">
                            <img src="img/banner/feature9.png" alt="">
                        </div> -->
                        <h5>වෘත්තීන්</h5>
                        <br>
                        <div class="row">
                          <!-- <div class="col-md-6 col-12">
                              <a target="_blank" href="../uploads/careers/තනතුරු පුරප්පාඩු.pdf">
                                <img class="img-fluid img-thumbnail" alt="BCC" src="../img/careers/තනතුරු පුරප්පාඩු.jpg">
                              </a>
                          </div>
                          <div class="col-md-6 col-12">
                              <a target="_blank" href="../uploads/careers/Vecancy Advertisement.pdf">
                                <img class="img-fluid img-thumbnail" alt="BCC" src="../img/careers/Vecancy Advertisement.jpg">
                              </a>
                          </div> -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Blog Details Area End -->
        <!-- Footer Start -->
        <?php include('footer.php'); ?>
        <!-- Footer End -->

<?php for ($i=0; $i <= 9; $i++) { ?>

  <div id="<?php echo('myModal'.$i)?>" class="modal">
    <span class="<?php echo('close'.$i)?>">&times;</span>
    <img class="modal-content" id="<?php echo('img0'.$i)?>">
    <div id="caption"></div>
  </div>

  <script>
  // Get the modal
  var modal = document.getElementById("<?php echo('myModal'.$i)?>");

  // Get the image and insert it inside the modal - use its "alt" text as a caption
  var img = document.getElementById("<?php echo('myImg'.$i)?>");
  var modalImg = document.getElementById("<?php echo('img0'.$i)?>");
  var captionText = document.getElementById("caption");
  img.onclick = function(){
    modal.style.display = "block";
    modalImg.src = this.src;
    captionText.innerHTML = this.alt;
  }

  // Get the <span> element that closes the modal
  var <?php echo('span'.$i)?> = document.getElementsByClassName("<?php echo('close'.$i)?>")[0];

  // When the user clicks on <span> (x), close the modal
  <?php echo('span'.$i)?>.onclick = function() { 
    modal.style.display = "none";
  }
  </script>

<?php } ?>
        
        <script src="js/vendor/jquery-3.2.1.min.js"></script>
        <script src="js/popper.js"></script>
        <script src="js/bootstrap.min.js"></script>
        <script src="js/jquery.meanmenu.js"></script>
        <script src="js/ajax-mail.js"></script>
        <script src="js/owl.carousel.min.js"></script>
        <script src="js/jquery.countdown.min.js"></script>
        <script src="js/plugins.js"></script>
        <script src="js/main.js"></script>
    </body>
</html>
