<!doctype html>
<html class="no-js" lang="en">
    <head>
        <title>බී.සී.සී. | අමතන්න</title>

        <!-- Meta Area Start -->   
        <?php include('meta.php'); ?>
        <!-- Meta Area End -->
        
        <style type="text/css">
          .pointer {cursor: pointer;}
        </style>

        <style>
        .thick-green-border {
            border-color: #800000;
            border-width: 1.5px;
            border-style: solid;
            border-radius: 2%;
            padding: 100px;
        }

        .resp-iframe {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            border: 0;
        }

        .resp-container {
            position: relative;
            overflow: hidden;
            padding-top: 56.25%;
        }

        .txt{
        color:red;
        }
        </style>
        <script src="https://www.google.com/recaptcha/api.js?render=6LfiEqwUAAAAAEnvDZ0WQYt8IrXNJmB2hJ_NgeHU"></script>
        <script>
            grecaptcha.ready(function () {
                grecaptcha.execute('6LfiEqwUAAAAAEnvDZ0WQYt8IrXNJmB2hJ_NgeHU', { action: 'mail' }).then(function (token) {
                    var recaptchaResponse = document.getElementById('recaptchaResponse');
                    recaptchaResponse.value = token;
                });
            });
        </script>
    </head>
    <body>
        <!--[if lt IE 8]>
            <p class="browserupgrade">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p>
        <![endif]-->
    
        <!-- Header Area Start -->   
		<?php include('header.php'); ?>
		<!-- Header Area End -->
		<!-- Breadcrumb Area Start -->
		<div class="breadcrumb-area">
		    <div class="container">
		        <div class="row">
                    <div class="col-md-12">  
                        <div class="breadcrumbs">
                            <ul>
                                <li><a href="index">පළමු පිටුව</a></li>
                                <li class="active">අමතන්න</li>
                            </ul>
                        </div>  
                    </div>
                </div>
		    </div>
		</div>
		<!-- Breadcrumb Area End -->
		<!-- Contact Area Start -->
        <div class="contact-area pb-20">
            <div class="container">
                <div class="row">
                    <div class="col-md-6">
                        <!-- Google Map Start -->
                        <div class="google-map-area">
                            <!--  Map Section -->
                            <div id="contacts" class="map-area">
                                <!-- <div id="googleMap" style="width:100%;height:410px;"></div> -->
                                <div class="thick-green-border resp-container">
                                <iframe class="resp-iframe" src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3960.611814724094!2d79.86146311426783!3d6.936911520144885!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x3ae2590336097af7%3A0xd36b5fe1d2e2a32!2sBCC+Lanka+Limited!5e0!3m2!1sen!2slk!4v1560936632378!5m2!1sen!2slk" frameborder="0" style="border:0" allowfullscreen></iframe>
                                </div>
                            </div>
                        </div>
                        <!-- Google Map End -->
                    </div>
                    <div class="col-md-6">
                        <h4>අප හා සම්බන්ධ වන්න</h4>
                        <div id="form-messages" class="txt"></div>
                        <br>
                        <form id="contact-form" action="../mail" method="post">
                            <div class="row">
                                <div class="col-md-6">
                                    <input type="text" required="required" name="name" id="name" placeholder="ඔබගේ නම*">
                                </div>
                                <div class="col-md-6">
                                    <input type="text" required="required" pattern="[^ @]*@[^ @]*.[^ @]*" name="email" id="email" placeholder="විද්යුත් තැපෑල* ( abc@gmail.com )">
                                </div>
                            </div>
                            <input type="text" pattern="\d{10}$" maxlength="10" required="required" name="phone" id="phone" placeholder="දුරකතන අංකය* ( ඉලක්කම් 10 ක් ඇතුළත් කරන්න )">
                            <!-- <input type="text" name="subject" id="subject" placeholder="Subject*"> -->
                            <textarea name="message" required="required" id="message" cols="30" rows="10" placeholder="ඔබේ පණිවිඩය ටයිප් කරන්න......."></textarea>

                            <button type="submit" class="default-btn submit-btn pointer">යවන්න</button>

                            <input type="hidden" name="recaptcha_response" id="recaptchaResponse">
                            <!-- <p class="form-message"></p> -->
<!--                             <div id="form-message" class="form-message">
                                <p type="text" class=""></p>
                            </div> -->
                        </form>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="contact-address-info bg-light">
                            <div class="single-contact-adrs text-center">
                                <span class="c-address-icon">
                                    <i class="fa fa-map-marker"></i>
                                </span>
                                <div class="adrs-text">
                                    <span><b>බී.සී.සී. ලංකා සමාගම</b><br>තැපැල් පෙට්ටිය 281, හල්ස්ඩෝෆ් මිල්ස්,<br>මීරාණියා වීදිය,<br>කොළඹ 12</span>
                                </div>
                            </div>
                            <div class="single-contact-adrs text-center">
                                <span class="c-address-icon">
                                    <i class="fa fa-phone"></i>
                                </span>
                                <div class="adrs-text">
                                    <span><b>දුරකථන</b> : (+94) 11 2422111 / (+94) 11 2435195</span>
                                    <br>
                                    <span><b>ෆැක්ස්</b> : (+94) 11 2447139 / (+94) 11 2324198</span>
                                </div>
                            </div>
                            <div class="single-contact-adrs text-center">
                                <span class="c-address-icon">
                                    <i class="fa fa-globe"></i>
                                </span>
                                <div class="adrs-text">
                                    <span><b>විද්යුත් තැපෑල</b> : bcclankaltd@gmail.com</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Contact Area End -->
		<!-- Client Area Start -->
	<!--
        <div class="client-area pt-30">
		    <div class="container">
		        <div class="row">
                    <div class="col-md-12">
                        <div class="section-title-one feature-title">
                            <h3>logo brands</h3>
                        </div>   
                    </div>
                </div>
		        <div class="row">
		            <div class="client-carousel owl-carousel">
                        <div class="single-client">
		                    <img src="img/icon/logo1.png" alt="client"> 
                        </div>
                        <div class="single-client">
		                    <img src="img/icon/logo2.png" alt="client"> 
                        </div>
                        <div class="single-client">
		                    <img src="img/icon/logo3.png" alt="client"> 
                        </div>
                        <div class="single-client">
		                    <img src="img/icon/logo4.png" alt="client"> 
                        </div>
                        <div class="single-client">
		                    <img src="img/icon/logo5.png" alt="client"> 
                        </div>
                        <div class="single-client">
		                    <img src="img/icon/logo6.png" alt="client"> 
                        </div>
                        <div class="single-client">
		                    <img src="img/icon/logo1.png" alt="client"> 
                        </div>
		            </div>
		        </div>
		    </div>
		</div> 
    -->
		<!-- Client Area End -->
        <!-- Footer Start -->
        <?php include('footer.php'); ?>
        <!-- Footer End -->
        
        <script src="../js/vendor/jquery-3.2.1.min.js"></script>
        <script src="../js/popper.js"></script>
        <script src="../js/bootstrap.min.js"></script>
        <script src="../js/jquery.meanmenu.js"></script>
        <script src="../js/ajax-mail.js"></script>
        <script src="../js/owl.carousel.min.js"></script>
        <script src="../js/jquery.countdown.min.js"></script>
        <script src="../js/plugins.js"></script>
        <script src="https://maps.googleapis.com/maps/api/js?key=6LfiEqwUAAAAAEnvDZ0WQYt8IrXNJmB2hJ_NgeHU"></script>
        <!-- <script>
            google.maps.event.addDomListener(window, 'load', init);
            function init() {
                var mapOptions = {
                    zoom: 11,
                    center: new google.maps.LatLng(40.6700, -73.9400), // New York
                    styles: [{"featureType":"water","elementType":"geometry","stylers":[{"color":"#e9e9e9"},{"lightness":17}]},{"featureType":"landscape","elementType":"geometry","stylers":[{"color":"#f5f5f5"},{"lightness":20}]},{"featureType":"road.highway","elementType":"geometry.fill","stylers":[{"color":"#ffffff"},{"lightness":17}]},{"featureType":"road.highway","elementType":"geometry.stroke","stylers":[{"color":"#ffffff"},{"lightness":29},{"weight":0.2}]},{"featureType":"road.arterial","elementType":"geometry","stylers":[{"color":"#ffffff"},{"lightness":18}]},{"featureType":"road.local","elementType":"geometry","stylers":[{"color":"#ffffff"},{"lightness":16}]},{"featureType":"poi","elementType":"geometry","stylers":[{"color":"#f5f5f5"},{"lightness":21}]},{"featureType":"poi.park","elementType":"geometry","stylers":[{"color":"#dedede"},{"lightness":21}]},{"elementType":"labels.text.stroke","stylers":[{"visibility":"on"},{"color":"#ffffff"},{"lightness":16}]},{"elementType":"labels.text.fill","stylers":[{"saturation":36},{"color":"#333333"},{"lightness":40}]},{"elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"transit","elementType":"geometry","stylers":[{"color":"#f2f2f2"},{"lightness":19}]},{"featureType":"administrative","elementType":"geometry.fill","stylers":[{"color":"#fefefe"},{"lightness":20}]},{"featureType":"administrative","elementType":"geometry.stroke","stylers":[{"color":"#fefefe"},{"lightness":17},{"weight":1.2}]}]
                };
                var mapElement = document.getElementById('googleMap');
                var map = new google.maps.Map(mapElement, mapOptions);
                var marker = new google.maps.Marker({
                    position: map.getCenter(),
                    animation:google.maps.Animation.BOUNCE,
                    icon: 'img/map-marker.png',
                    map: map
                });
            }
        </script> -->
        <script src="../js/main.js"></script>
    </body>
</html>
